Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
S_usb_user_configuration_descriptor_one_freq Struct Reference

`#include <uac1_usb_descriptors.h>`

## Data Fields
S_usb_configuration_descriptor | cfg
S_usb_interface_descriptor | ifc0
S_usb_hid_descriptor | hid
S_usb_endpoint_descriptor | ep1
S_usb_endpoint_descriptor | ep2
S_usb_interface_association_descriptor | iad1
S_usb_interface_descriptor | ifc2
S_usb_ac_interface_descriptor_1 | audioac
S_usb_in_ter_descriptor_1 | mic_in_ter
S_usb_feature_unit_descriptor_1 | mic_fea_unit
S_usb_out_ter_descriptor_1 | mic_out_ter
S_usb_in_ter_descriptor_1 | spk_in_ter
S_usb_feature_unit_descriptor_1 | spk_fea_unit
S_usb_out_ter_descriptor_1 | spk_out_ter
S_usb_as_interface_descriptor | spk_as_alt0
S_usb_as_interface_descriptor | spk_as_alt1
S_usb_as_g_interface_descriptor_1 | spk_g_as
S_usb_format_type_1_one_freq | spk_format_type
S_usb_endpoint_audio_descriptor_1 | ep3
S_usb_endpoint_audio_specific_1 | ep3_s
S_usb_endpoint_audio_descriptor_1 | ep4
S_usb_as_interface_descriptor | mic_as_alt0
S_usb_as_interface_descriptor | mic_as_alt1
S_usb_as_g_interface_descriptor_1 | mic_g_as
S_usb_format_type_1_one_freq | mic_format_type
S_usb_endpoint_audio_descriptor_1 | ep5
S_usb_endpoint_audio_specific_1 | ep5_s

## Field Documentation

S_usb_ac_interface_descriptor_1 S_usb_user_configuration_descriptor_one_freq::audioac

S_usb_configuration_descriptor S_usb_user_configuration_descriptor_one_freq::cfg

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor_one_freq::ep1

S_usb_endpoint_descriptor S_usb_user_configuration_descriptor_one_freq::ep2

S_usb_endpoint_audio_descriptor_1 S_usb_user_configuration_descriptor_one_freq::ep3

S_usb_endpoint_audio_specific_1 S_usb_user_configuration_descriptor_one_freq::ep3_s

S_usb_endpoint_audio_descriptor_1 S_usb_user_configuration_descriptor_one_freq::ep4

S_usb_endpoint_audio_descriptor_1 S_usb_user_configuration_descriptor_one_freq::ep5

S_usb_endpoint_audio_specific_1 S_usb_user_configuration_descriptor_one_freq::ep5_s

S_usb_hid_descriptor S_usb_user_configuration_descriptor_one_freq::hid

S_usb_interface_association_descriptor S_usb_user_configuration_descriptor_one_freq::iad1

S_usb_interface_descriptor S_usb_user_configuration_descriptor_one_freq::ifc0

S_usb_interface_descriptor S_usb_user_configuration_descriptor_one_freq::ifc2

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor_one_freq::mic_as_alt0

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor_one_freq::mic_as_alt1

S_usb_feature_unit_descriptor_1 S_usb_user_configuration_descriptor_one_freq::mic_fea_unit

S_usb_format_type_1_one_freq S_usb_user_configuration_descriptor_one_freq::mic_format_type

S_usb_as_g_interface_descriptor_1 S_usb_user_configuration_descriptor_one_freq::mic_g_as

S_usb_in_ter_descriptor_1 S_usb_user_configuration_descriptor_one_freq::mic_in_ter

S_usb_out_ter_descriptor_1 S_usb_user_configuration_descriptor_one_freq::mic_out_ter

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor_one_freq::spk_as_alt0

S_usb_as_interface_descriptor S_usb_user_configuration_descriptor_one_freq::spk_as_alt1

S_usb_feature_unit_descriptor_1 S_usb_user_configuration_descriptor_one_freq::spk_fea_unit

S_usb_format_type_1_one_freq S_usb_user_configuration_descriptor_one_freq::spk_format_type

S_usb_as_g_interface_descriptor_1 S_usb_user_configuration_descriptor_one_freq::spk_g_as

S_usb_in_ter_descriptor_1 S_usb_user_configuration_descriptor_one_freq::spk_in_ter

S_usb_out_ter_descriptor_1 S_usb_user_configuration_descriptor_one_freq::spk_out_ter

The documentation for this struct was generated from the following file:

- /mnt/data/GENTOO_FILES/home/k1ll3r/Dokumenty/Diplomka/Sonochan_II/FW_sdr_widget/sdr-widget/src/uac1_usb_descriptors.h